%if (0%{?fedora} > 15 || 0%{?rhel} >= 7)
%define _hardened_build 1
%endif

Name:           freeipa-foreman-smartproxy
Version:        1.0
Release:        1%{?dist}
Summary:        Foreman-compatible REST API for IPA

Group:          System Environment/Base
License:        GPLv3+
URL:            https://fedorahosted.org/freeipa-foreman-smartproxy/
Source0:        freeipa-foreman-smartproxy-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       python-cherrypy
Requires:       gssproxy >= 0.3.1
Requires:       python-kerberos >= 1.1-14
Requires:       mod_wsgi
Requires:       freeipa-client >= 3.3.0

%description
A Foreman-compatible REST API for managing hosts and hostgroups.

%prep
%setup -q

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf  $RPM_BUILD_ROOT

%post
if [ $1 -gt 1 ] ; then
    /bin/systemctl try-restart httpd.service >/dev/null 2>&1 || :
fi

%files
%doc COPYING README config/ipa-smartproxy-apache.conf
%dir %{_usr}/share/ipa/smartproxy
%{_usr}/share/ipa/smartproxy/ipa-smartproxy.py*
%{python_sitelib}/*
%{_mandir}/man1/ipa-smartproxy.1.gz
%{_mandir}/man5/ipa-smartproxy.conf.5.gz
%config(noreplace) %{_sysconfdir}/ipa/ipa-smartproxy.conf

%changelog
* Mon Jun 30 2014 Rob Crittenden <rcritten@redhat.com> - 1.0-1
- Initial rpm version
